{
  config,
  lib,
  pkgs,
  ...
}:

with lib;
mkIf (elem "radicale" config.machine.services) {
  services.radicale = {
    enable = true;
    package = pkgs.radicale3;
    settings = {
      server = {
        hosts = [ "127.0.0.1:5232" ];
      };
      auth = {
        type = "imap";
        imap_host = "mail.ophanim.de";
      };
      storage = {
        filesystem_folder = "/var/lib/radicale/collections";
      };
    };
  };
}
